package de.lunqual.rzpro.items.mischungen;

import java.util.ArrayList;

import de.lunqual.rzpro.RzPro;


public class MischungenActiveListe extends ArrayList<MischungenActiveItem>{

	RzPro rz;
	public MischungenActiveListe(RzPro rz) {
		super();
		this.rz = rz;
	}
	
	public String getHTML(int mischung) {
		String ret = "";
		for(MischungenActiveItem mai:this) {
			if(mai.getMischung() != mischung ) {
				ret += mai.getHTML();
			} else {
				ret += "&nbsp;<b>" + Integer.toString(mai.getMischung()) + "</b>&nbsp;";
			}
		}
		return ret;
	}
	
	public String getAlleHTML() {
		String ret ="";
		if(!this.isEmpty()) {
			ret = "<a href=\"mil:";
			for(MischungenActiveItem mai:this) {
				try {
					ret +=  Integer.toString(mai.getMischung()) + " ";
				}catch(Exception e) {}
			}
			ret = ret.trim();
			ret +="\">" +rz.getLocale().getString("ausgabe.ticketiste_alle_mischungen") + "</a>";
		}
		return ret.trim();
	}
}
