package de.lunqual.rzpro.fenster.adressenfenster;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import de.lunqual.rzpro.items.adressen.AdressItem;
import de.lunqual.rzpro.RzPro;

public class htmlListRenderer extends JLabel    implements ListCellRenderer {

	RzPro rz;
	
	public htmlListRenderer(RzPro rz) {
		this.rz=rz;
		setOpaque(true);
	}

	/*
	* This method finds the image and text corresponding
	* to the selected value and returns the label, set up
	* to display the text and image.
	*/
	public Component getListCellRendererComponent(
	                    JList list,
	                    Object value,
	                    int index,
	                    boolean isSelected,
	                    boolean cellHasFocus) {
    setFont(rz.getFontFactory().getListFont());
	if (isSelected) {
		setBackground(list.getSelectionBackground());
		setForeground(list.getSelectionForeground());
	} else {
		setBackground(Color.WHITE);
		setForeground(Color.BLACK);
	}
	setText(((AdressItem)value).toHTMLString());
	return this;
	}
}