package de.lunqual.rzpro.items.rezeptur;

import java.util.Date;

import de.lunqual.rzpro.items.stichworte.StichwortListe;

public class ChangesItem {
	
	int				id;
	int				rezeptur_id;
	String			bezeichnung;
	String			alt;
	String			neu;
	Date				erstellt;
	String			user;
	String			rezeptur;
	StichwortListe stw;
	boolean		relevant;
	
	public ChangesItem(int id, int rezeptur_id, String bezeichnung, String alt,	String neu, Date erstellt, String user,boolean relevant) {
		super();
		this.id = id;
		this.rezeptur_id = rezeptur_id;
		this.bezeichnung = bezeichnung;
		this.alt = alt;
		this.neu = neu;
		this.erstellt = erstellt;
		this.user = user;
		this.rezeptur=null;
		this.relevant=relevant;
		stw=new StichwortListe();
	}
	
	public ChangesItem(int id, int rezeptur_id, String bezeichnung, String alt,	String neu, Date erstellt, String user,String rezeptur,StichwortListe stichworte,boolean relevant) {
		super();
		this.id = id;
		this.rezeptur_id = rezeptur_id;
		this.bezeichnung = bezeichnung;
		this.alt = alt;
		this.neu = neu;
		this.erstellt = erstellt;
		this.user = user;
		this.rezeptur=rezeptur;
		this.stw=stichworte;
		this.relevant=relevant;
	}
	
	
	/**
	 * @return the relevant
	 */
	public boolean isRelevant() {
		return relevant;
	}

	public StichwortListe getStichworte() {
		return stw;
	}
	
	public String getRezeptur() {
		return rezeptur;
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getRezeptur_id() {
		return rezeptur_id;
	}
	public void setRezeptur_id(int rezeptur_id) {
		this.rezeptur_id = rezeptur_id;
	}
	public String getBezeichnung() {
		return bezeichnung;
	}
	public void setBezeichnung(String bezeichnung) {
		this.bezeichnung = bezeichnung;
	}
	public String getAlt() {
		return alt;
	}
	public void setAlt(String alt) {
		this.alt = alt;
	}
	public String getNeu() {
		return neu;
	}
	public void setNeu(String neu) {
		this.neu = neu;
	}
	public Date getErstellt() {
		return erstellt;
	}
	public void setErstellt(Date erstellt) {
		this.erstellt = erstellt;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	
	
}
