package de.lunqual.rzpro.items.tank;


import java.util.ArrayList;

import de.lunqual.rzpro.RzPro;

public class ortItem {
	RzPro				rz;
	int					id;
	String				bezeichnung;
	String				comment;
	String				shape;
	boolean				selected;
	ArrayList<tankItem> tanks;
	
	public ortItem(RzPro rz,int id, String bezeichnung, String comment, String shape) {
		super();
		this.rz = rz;
		this.id = id;
		this.bezeichnung = bezeichnung;
		this.comment = comment;
		this.shape = shape;
		this.selected=false;
		tanks = new ArrayList<tankItem>();
	}

	public ortItem clones() {
		ortItem ret = new ortItem(rz,id,bezeichnung,comment,shape);
		for(tankItem ti:tanks) {
			ret.getTanks().add(ti.clones());
		}
		return ret;
	}
	
	public ArrayList<tankItem> getTanks() {
		return tanks;
	}

	public boolean isSelected() {
		return selected;
	}


	public void setSelected(boolean selected) {
		this.selected = selected;
	}


	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getBezeichnung() {
		return bezeichnung;
	}
	public void setBezeichnung(String bezeichnung) {
		this.bezeichnung = bezeichnung;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public String getShape() {
		return shape;
	}
	public void setShape(String shape) {
		this.shape = shape;
	}
		
	public String toString() {
		if(selected) {
			return "<html><img src=\"" + getClass().getResource("/de/lunqual/rzpro/gfx/tankliste_plan.png").toString() + "\">"+bezeichnung+"</html>";
		} else {
			return bezeichnung;
		}
	}
	
}
